L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données et des outils pour y remédier.

Vulnérabilité de curl for Windows : élévation de privilèges via OpenSSL Engine Loading

Synthèse de la vulnérabilité

Un attaquant peut contourner les restrictions via OpenSSL Engine Loading de curl for Windows, afin d'élever ses privilèges.
Gravité de cette alerte : 2/4.
Date création : 24/06/2019.
Références de cette alerte : cpuoct2019, CVE-2019-5443, NTAP-20191017-0002, VIGILANCE-VUL-29603.

Description de la vulnérabilité

Un attaquant peut contourner les restrictions via OpenSSL Engine Loading de curl for Windows, afin d'élever ses privilèges.
Bulletin Vigil@nce complet... (Demandez votre essai gratuit)

Cette alerte de menace concerne les logiciels ou systèmes comme curl, MariaDB ~ précis, MySQL Community, MySQL Enterprise, SnapCenter Backup Management, Solaris, Percona Server.

Notre équipe Vigil@nce a déterminé que la gravité de cette vulnérabilité cybersécurité est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de shell utilisateur.

Un attaquant avec un niveau de compétence expert peut exploiter cette faille cybersécurité.

Solutions pour cette menace

curl for Windows : version 7.65.1_2.
La version 7.65.1_2 est corrigée :
  https://curl.haxx.se/windows/

MariaDB : versions 10.4.9, 10.3.19, 10.2.28, 10.1.42 et 5.5.66.
Les versions 10.4.9, 10.3.19, 10.2.28, 10.1.42 et 5.5.66 sont corrigées :
  https://mariadb.org/download/

Oracle MySQL : version 5.6.46.
La version 5.6.46 est corrigée :
  https://support.oracle.com/rs?type=doc&id=2593658.1
  https://www.mysql.com/fr/downloads/

Oracle MySQL : version 5.7.28.
La version 5.7.28 est corrigée :
  https://support.oracle.com/rs?type=doc&id=2593658.1
  https://www.mysql.com/fr/downloads/

Oracle MySQL : version 8.0.18.
La version 8.0.18 est corrigée :
  https://support.oracle.com/rs?type=doc&id=2593658.1
  https://www.mysql.com/fr/downloads/

Oracle Solaris : patch pour logiciels tiers de janvier 2020 v1.
Un patch est disponible :
  https://support.oracle.com/rs?type=doc&id=1448883.1

Percona Server : versions 5.6.46-86.2, 5.7.28-31 et 8.0.18-9.
Les versions 5.6.46-86.2, 5.7.28-31 et 8.0.18-9 sont corrigées :
  https://www.percona.com/

Percona XtraDB Cluster : version 5.6.46-28.38 et 5.7.28-31.41.
La version 5.6.46-28.38 et 5.7.28-31.41 est corrigée :
  https://www.percona.com/

SnapCenter : solution pour MySQL.
La solution est indiquée dans les sources d'information.
Bulletin Vigil@nce complet... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques

Vigil@nce fournit une veille de vulnérabilités de systèmes. Le service de veille sur les vulnérabilités informatiques Vigil@nce alerte vos équipes des failles et des menaces qui concernent votre système d'information.